# Class WakeupOnTransformChange

java.lang.Object
javax.media.j3d.WakeupCondition
javax.media.j3d.WakeupCriterion
javax.media.j3d.WakeupOnTransformChange

public final class WakeupOnTransformChange extends WakeupCriterion
Class specifying a wakeup when the transform within a specified TransformGroup changes

## Constructor Summary

Constructors
Constructor
Description
`WakeupOnTransformChange(TransformGroup node)`
Constructs a new WakeupOnTransformChange criterion.

## Method Summary

Modifier and Type
Method
Description
`TransformGroup`
`getTransformGroup()`
Returns the TransformGroup node used in creating this WakeupCriterion

### Methods inherited from class WakeupCriterion

`hasTriggered`

### Methods inherited from class WakeupCondition

`allElements, triggeredElements`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WakeupOnTransformChange

public WakeupOnTransformChange(TransformGroup node)
Constructs a new WakeupOnTransformChange criterion.

Parameters:
  `node` - the TransformGroup node that will trigger a wakeup if its transform is modified

## Method Details

### getTransformGroup

public TransformGroup getTransformGroup()
Returns the TransformGroup node used in creating this WakeupCriterion

Returns:
  the TransformGroup used in this criterion's construction